package com.zsc.edu.gateway.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 操作权限
 *
 * @author harry yao
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("sys_authority")
public class Authority extends BaseEntity {

    private Long pid;

    /**
     * 权限模块
     */
    private String module;
    /**
     * 权限名
     */
    public String name;
    /**
     * 权限标识符
     */
    public String code;
    /**
     * 启用状态
     */
    private Boolean enabled;
    /**
     * 备注
     */
    private String remark;
}
